<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\ButtonsMessage\Button;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class NativeFlowInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $name = null;
    


    protected $paramsJson = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getName()
    {
        return isset($this->name) ? $this->name : '';
    }

    public function hasName()
    {
        return isset($this->name);
    }

    public function clearName()
    {
        unset($this->name);
    }

    




    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;

        return $this;
    }

    



    public function getParamsJson()
    {
        return isset($this->paramsJson) ? $this->paramsJson : '';
    }

    public function hasParamsJson()
    {
        return isset($this->paramsJson);
    }

    public function clearParamsJson()
    {
        unset($this->paramsJson);
    }

    




    public function setParamsJson($var)
    {
        GPBUtil::checkString($var, True);
        $this->paramsJson = $var;

        return $this;
    }

}

